<?php
//---------------------------------------------------------------------------------------------------------
// 26/Agosto/2019 ==> Exjemplo básico de cómo se crea un módulo
//---------------------------------------------------------------------------------------------------------
//Los módulos heredan los atributos de la clase Module:
/*	$templateFile = '';
	$loadedModules = array();
	$modulesList = array();
	$options = NULL;
	$data_update = '';
*/

class example extends Module{
	//Definimos la lista de acciones que ejecutará este módulo
	protected static $actionList = array('');

	//Función que instala el módulo
	public function install(){
		
	}
	
	//Función que desinstala el módulo
	public function uninstall(){
		
	}
	
	
	//constructor:
	public function __construct() {
	
	}
	
	//Aquí vienen ahora las funciones que se encargan de añadir funciones a los eventos de webStore
	
	//Esta función es la encargada de ejecutar del módulo lo que sea necesario:
	public function execute(){
		$opciones_recibidas = new ObOptions($this->getModuleOptions());	//Recogemos las opciones que nos puedan haber mandado
		//$variable = $opciones_recibidas->getDefaultValue('nombre_opcion', valor_x_defecto);
		
		//Aquí metemos la lógica necesaria para inicializar la vista o ejecutar otra vista
		
		$options = new stdClass();
		//$options->name = value;
		//Lo último es asignar las opciones a la vista
		$this->setViewOptions($options);
	}


	
}